Bug 1368 - directory permission are not set according to config file when mounted with smbmount (linux)
directory permission are not set according to config file when mounted with s...
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.2a
All Linux
: P3 major
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-21 00:43 UTC by Clemens Schwaighofer
Modified: 2005-08-24 10:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Clemens Schwaighofer 2004-05-21 00:43:56 UTC
I have a Debian/testing server with Samba 3.0.2a (debian packages) installed. If
I know mount samba shares with a smbclient on my local workstation box (Gentoo
with Samba 3.0.2a) or on my other Testbox (Debian / unstable 3.0.2a Samba) and
the samba config says the directory should 0777 it is created as 0755 (default
setting) instead. If I connect to this share from Windows (XP SP1 and 2000 SP4)
I can created folders with the correct 0777 setting.

I have not tried 3.0.4 so I don't know if this bug got fixed by then.
Comment 1 Gerald (Jerry) Carter 2005-02-11 07:40:31 UTC
please retest against 3.0.11.  If you find the bugs still 
exists, please reopen and attach your smb.conf.  Thanks.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:21:46 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.